import { http } from '@/utils/http';

/**
 * 根据用户名获取职务名称
 * @param username 用户名
 * @returns 职务名称
 */
export function queryPostByUserIdApi(userid : string) {
	return http({
		url: '/sys/user/queryPostByUserId',
		method: 'GET',
		data: { userid }
	});
}

/**
 * 修改用户信息
 * @param config 用户信息
 * @returns
 */
export function editUserApi(config : object) {
	return http({
		url: '/sys/user/appEdit',
		method: 'PUT',
		data: config
	});
}

/*根据部门Cod和角色Id查询用户信息*/
export function queryUserByOrgRoleApi(config : object) {
	return http({
		url: '/cxcChangesInPersonnel/cxcChangesInPersonnel/queryByDepCodRoleId',
		method: 'GET',
		data: config
	})
}

/*根据劳动合同号查询用户信息*/
export function queryUsernameByLdhth(ldhth : string) {
	return http({
		url: '/sys/user/queryUsernameByLdhth',
		method: 'GET',
		data: { ldhth }
	})
}